--- title: Delete an organization slug: '22' canonical_url: https://docs.coveo.com/en/22/ collection: manage-an-organization source_format: adoc --- # Delete an organization You'll rarely (if ever) need to delete a [Coveo organization](https://docs.coveo.com/en/185/), unless you originally created this organization for a specific purpose such as testing, and this purpose is now finished. In such a case, you may delete the obsolete organization. > **Warning** > > Deleting a Coveo organization is permanent. > Make sure you know what you're doing before you perform this call. Use the [Delete an organization](https://platform.cloud.coveo.com/docs?urls.primaryName=Platform#/Organizations/rest_organizations_paramId_delete) operation to permanently remove a specific organization from the [Coveo Platform](https://docs.coveo.com/en/186/). You can also perform this action from the [Coveo Administration Console](https://docs.coveo.com/en/183/) **Settings** page. See [Organization details](https://docs.coveo.com/en/1562#organization-details). > **Notes** > > * You can't delete an organization that's in read-only mode. > Often, this means that your [organization is inactive](https://docs.coveo.com/en/2959#about-inactive-organizations). > You can reactivate it by logging in to the [Coveo Administration Console](https://docs.coveo.com/en/183/). > > * Upon deletion, Coveo keeps your [organization backup](https://docs.coveo.com/en/1795/) until the end of the retention period. > If an organization is restored within the retention period, the data will still be available. **Request template** ```http DELETE https://platform.cloud.coveo.com/rest/organizations/ HTTP/1.1 Accept: application/json Authorization: Bearer ``` In the request path, replace `` with the [ID of the target Coveo organization](https://docs.coveo.com/en/148/). In the `Authorization` HTTP header, replace `` with an access token that grants the privilege to edit the target Coveo organization (that is, the **Edit** access level on the **Organization** domain). See [Manage privileges](https://docs.coveo.com/en/3151/), [Get the privileges of an access token](https://docs.coveo.com/en/109/), and [Get your Coveo access token](https://docs.coveo.com/en/123/) for details. A successful response (`204 No Content`) signifies that the target organization no longer exists in Coveo. > **Note** > > It's only possible to delete an organization with an access token associated with a user. > It's not possible to use any other type of authentication (such as API key, Platform token, etc.) to do so. ## Sample request **Request - Deleting the mycoveocloudv2organizationg8tp8wu3 organization** ```http DELETE https://platform.cloud.coveo.com/rest/organizations/mycoveocloudv2organizationg8tp8wu3 HTTP/1.1 Accept: application/json Authorization: Bearer **********-****-****-****-************ ``` **Successful response - 204 No Content** ```json {} ```